List quality baselines for a project
GET
/v1/projects/{projectId}/quality-baselinescurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/quality-baselines' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Rejection-rate baselines for the project.
- dataarray<QualityBaselineSummaryDto>必填
- checkIdstring必填
- bindingIdentitystring | null必填
- sampleCountnumber必填
- statusstring必填
- reasonstring | null必填
- mediannumber | null必填
- madnumber | null必填
- currentRatenumber | null必填
- verdictstring | null必填
- directionstring | null必填可选值noneupdown
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- requestIdstring
响应示例
{
"data": [
{
"checkId": "string",
"bindingIdentity": "string",
"sampleCount": 0,
"status": "string",
"reason": "string",
"median": 0,
"mad": 0,
"currentRate": 0,
"verdict": "string",
"direction": "none"
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1